curl --request GET \
--url https://api.chift.eu/consumers/{consumer_id}/accounting/invoices/multi-analytic-plans/type/{invoice_type}import requests
url = "https://api.chift.eu/consumers/{consumer_id}/accounting/invoices/multi-analytic-plans/type/{invoice_type}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.chift.eu/consumers/{consumer_id}/accounting/invoices/multi-analytic-plans/type/{invoice_type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"invoice_type": "customer_invoice",
"currency": "EUR",
"untaxed_amount": 200,
"tax_amount": 42,
"total": 242,
"invoice_date": "2026-01-15",
"due_date": "2026-02-14",
"lines": [
{
"unit_price": 100,
"quantity": 2,
"untaxed_amount": 200,
"tax_rate": 21,
"tax_amount": 42,
"total": 242,
"line_number": 1,
"unit_of_measure": "unit",
"account_number": "<accounting-account-number>",
"tax_code": "<accounting-tax-code>",
"description": "Consulting services",
"analytic_distribution": []
}
],
"invoice_number": "<string>",
"reference": "INV-2026-0001",
"payment_communication": "+++000/0000/00000+++",
"customer_memo": "Thank you for your business.",
"payment_term_id": "<accounting-payment-term-id>",
"withholding_tax": {
"tax_rate": -19,
"tax_code": "<accounting-tax-code>",
"tax_amount": -38
},
"id": "<this-invoice-id>",
"delivery_date": "2026-01-15",
"partner_id": "<accounting-client-id>",
"journal_id": "<accounting-journal-id>",
"payments": [
{
"id": "<this-payment-id>",
"name": "Payment PAY-0001",
"currency": "EUR",
"amount": 242,
"payment_date": "2026-02-14",
"journal_type": "customer_invoice",
"journal_id": "<accounting-journal-id>",
"journal_name": "Bank journal",
"dedicated_amount": 242,
"reconciled": false,
"communication": "+++000/0000/00000+++",
"matching_number": "<accounting-matching-number>"
}
],
"status": "posted",
"last_updated_on": "2026-01-15T10:30:00Z",
"partner": {
"external_reference": "CUST-0001",
"first_name": "John",
"last_name": "Doe",
"name": "Example Company S.A.",
"function": "Accountant",
"is_company": true,
"company_id": "<accounting-company-id>",
"phone": "+32 2 000 00 00",
"mobile": "+32 4 000 00 00",
"email": "john.doe@example.com",
"language": "en",
"internal_notes": "Preferred contact: accounts payable team.",
"website": "https://www.example.com",
"vat": "BE0000000000",
"company_number": "0000000000",
"iban": "BE00000000000000",
"bank_account": "0000000000",
"currency": "EUR",
"active": true,
"account_number": "<accounting-account-number>",
"id": "<this-client-id>",
"last_updated_on": "2026-01-15T10:30:00Z",
"addresses": [],
"third_party_account": "<string>",
"bank_accounts": [
{
"is_primary": true,
"currency": "<string>",
"iban": "<string>",
"bic_swift": "<string>",
"account_number": "<string>",
"routing_code": {
"type": "unknown",
"value": "<string>"
}
}
]
},
"due_dates": [],
"attachments_info": {
"status": "unknown",
"attachments": []
},
"accounting_info": {
"main_currency": "EUR",
"main_currency_total": 100,
"account_number": "411001"
},
"payment_method_id": "<accounting-payment-method-id>",
"approval_status": "unknown"
}
],
"total": 1,
"page": 2,
"size": 2
}{
"message": "Error while trying to perform your request",
"status": "error"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get invoices by type (sale/purchase entries - Multiple Analytic Plans)
Returns a list of invoices by a specific type (=sale/purchase entries) with invoice lines including multiple analytic plans. Optionally dates can be defined to retrieve invoice from a certain date to another date
- How do sales and purchase entries work? ↗
- What is analytical accounting? ↗
- How to use analytical plans and accounts in Chift? ↗
Path Parameters
customer_invoice, customer_refund, supplier_invoice, supplier_refund Query Parameters
Page number
x >= 1Page size
1 <= x <= 100Id of the accounting folder instance. A folder represents a legal entity within the system. Required when the multiple folders feature is enabled.
Journal Ids used to filter the invoices. The Ids are separated by ','
Indicate if payments linked to the invoices should be included in the response. By default payments are not included and the field payments is null.
true, false Extra filter to retrieve invoices with a specific payment status. Cancelled invoices are filtered out when using either paid or unpaid.
all, unpaid, paid Retrieve invoices created or updated after a specific datetime (e.g. 2023-01-31T15:00:00 for 31 of January 2023 at 3PM UTC). UTC is the only format that is supported on all connectors.
Indicate if invoice lines should be included in the response. By default invoice lines are not included when this requires extra requests on the target API.
true, false Indicate if partner (client/supplier) information should be included in the response. By default partner information is not included when it requires extra requests on the target API to be retrieved.
true, false Filter invoices by approval status.
pending, approved, rejected